<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classCore__logic.html">Core_logic</a></li><li class="navelem"><a class="el" href="classCore__logic_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classCore__logic_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a0bc8afb2a8e23d99be319629e850d46b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0bc8afb2a8e23d99be319629e850d46b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a0bc8afb2a8e23d99be319629e850d46b">PROCESS_38</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa81fcb8f03047dde03707fae9f93852b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa81fcb8f03047dde03707fae9f93852b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aa81fcb8f03047dde03707fae9f93852b">PROCESS_39</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a19bb53c50ad31218bbbe04e90371628a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19bb53c50ad31218bbbe04e90371628a"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a19bb53c50ad31218bbbe04e90371628a">PROCESS_40</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a039d80c7a5353eae20e58f1893c5e4fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a039d80c7a5353eae20e58f1893c5e4fa"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a039d80c7a5353eae20e58f1893c5e4fa">PROCESS_41</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af49bee18759c73ff4a82937e94bafda9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af49bee18759c73ff4a82937e94bafda9"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#af49bee18759c73ff4a82937e94bafda9">PROCESS_42</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad594eaccd9ddcd8e38509311981bdeba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad594eaccd9ddcd8e38509311981bdeba"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ad594eaccd9ddcd8e38509311981bdeba">PROCESS_43</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9b4d2f822b87888b1382e7fb4e4a5ba1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b4d2f822b87888b1382e7fb4e4a5ba1"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a9b4d2f822b87888b1382e7fb4e4a5ba1">PROCESS_44</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6f4ff2c8d31b4679ff008b1defc9f50b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f4ff2c8d31b4679ff008b1defc9f50b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a6f4ff2c8d31b4679ff008b1defc9f50b">PROCESS_45</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af291d67c763ca45407d893a66dc7c870"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af291d67c763ca45407d893a66dc7c870"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#af291d67c763ca45407d893a66dc7c870">PROCESS_46</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a50fd6a4d4ddac5c71a5144edd50a471c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50fd6a4d4ddac5c71a5144edd50a471c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a50fd6a4d4ddac5c71a5144edd50a471c">PROCESS_47</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7eb4d91bea469e551e5c5ae823b0bb14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eb4d91bea469e551e5c5ae823b0bb14"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a7eb4d91bea469e551e5c5ae823b0bb14">PROCESS_48</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a30509efd8e971f2ae49027b8a677d71d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30509efd8e971f2ae49027b8a677d71d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a30509efd8e971f2ae49027b8a677d71d">PROCESS_49</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4cb93399d7ffd0644810c2d72cd3da6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cb93399d7ffd0644810c2d72cd3da6d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a4cb93399d7ffd0644810c2d72cd3da6d">PROCESS_50</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6184a83a79be596d508fddbe09e9a3f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6184a83a79be596d508fddbe09e9a3f2"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a6184a83a79be596d508fddbe09e9a3f2">PROCESS_51</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a83ec0820c664a456e647fefdf15a7f9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83ec0820c664a456e647fefdf15a7f9f"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a83ec0820c664a456e647fefdf15a7f9f">PROCESS_52</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">req_ack_pckt</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">blk_rd</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">a</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">b</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">c</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">d</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">seq_nm_cmd</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a791dd3b91cd8f8a6e44d6bedbe2884a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a791dd3b91cd8f8a6e44d6bedbe2884a3"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a791dd3b91cd8f8a6e44d6bedbe2884a3">PROCESS_53</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:acd8a318cfe6140491e0c42a040a5f46e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd8a318cfe6140491e0c42a040a5f46e"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#acd8a318cfe6140491e0c42a040a5f46e">PROCESS_54</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0b40b035335a2932037a304d88f5a020"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b40b035335a2932037a304d88f5a020"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a0b40b035335a2932037a304d88f5a020">PROCESS_55</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a035c94271e2ddda837f6d4f5fcc4f18c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a035c94271e2ddda837f6d4f5fcc4f18c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a035c94271e2ddda837f6d4f5fcc4f18c">PROCESS_158</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0f9598424299382c1dedef7de7c46e4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f9598424299382c1dedef7de7c46e4e"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a0f9598424299382c1dedef7de7c46e4e">PROCESS_159</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0455a6368cf2d813338689d13507860c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0455a6368cf2d813338689d13507860c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a0455a6368cf2d813338689d13507860c">PROCESS_160</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:add2b5aecd26e48550d2eed47d2ab5140"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add2b5aecd26e48550d2eed47d2ab5140"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#add2b5aecd26e48550d2eed47d2ab5140">PROCESS_161</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aaefaec12a8603ba39e7b0239b1526d04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaefaec12a8603ba39e7b0239b1526d04"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aaefaec12a8603ba39e7b0239b1526d04">PROCESS_162</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae94d5909aa536147f77fcc02597581f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae94d5909aa536147f77fcc02597581f9"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae94d5909aa536147f77fcc02597581f9">PROCESS_163</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afbd8f511cfd8bf3b9ca438e1ef79dd54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbd8f511cfd8bf3b9ca438e1ef79dd54"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#afbd8f511cfd8bf3b9ca438e1ef79dd54">PROCESS_164</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a84d1124c8ecc8942f34ac2f5343edd31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84d1124c8ecc8942f34ac2f5343edd31"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a84d1124c8ecc8942f34ac2f5343edd31">PROCESS_165</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a95715ac4ae7dbb03db11361970e91335"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95715ac4ae7dbb03db11361970e91335"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a95715ac4ae7dbb03db11361970e91335">PROCESS_166</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae8c8299fe5faa61ff2014a6ee9aef81b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae8c8299fe5faa61ff2014a6ee9aef81b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae8c8299fe5faa61ff2014a6ee9aef81b">PROCESS_167</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2fd79fe13543097e1abf14856cdaa17d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fd79fe13543097e1abf14856cdaa17d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a2fd79fe13543097e1abf14856cdaa17d">PROCESS_168</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae889bc92d6e6851bef264639faa97835"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae889bc92d6e6851bef264639faa97835"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae889bc92d6e6851bef264639faa97835">PROCESS_169</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aaeb1c677e30c876442f3b14c1532337f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaeb1c677e30c876442f3b14c1532337f"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aaeb1c677e30c876442f3b14c1532337f">PROCESS_170</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad63bff70ce2e609fa4757b034a085a2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad63bff70ce2e609fa4757b034a085a2c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ad63bff70ce2e609fa4757b034a085a2c">PROCESS_171</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a56d06c7d99292328b4ab90ccda901170"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56d06c7d99292328b4ab90ccda901170"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a56d06c7d99292328b4ab90ccda901170">PROCESS_172</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">req_ack_pckt</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">blk_rd</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">a</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">b</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">c</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">d</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">seq_nm_cmd</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5513c03ace4aafadb365414ecdaa328e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5513c03ace4aafadb365414ecdaa328e"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a5513c03ace4aafadb365414ecdaa328e">PROCESS_173</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a36fc4ed83683e771b579df0f0edb0c87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36fc4ed83683e771b579df0f0edb0c87"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a36fc4ed83683e771b579df0f0edb0c87">PROCESS_174</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a28440867285331e9165035adfaf718e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28440867285331e9165035adfaf718e0"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a28440867285331e9165035adfaf718e0">PROCESS_175</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:ac343a805557fb25a34e7cbda1fbbe786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac343a805557fb25a34e7cbda1fbbe786"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ac343a805557fb25a34e7cbda1fbbe786">dist_mem_gen_0</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memdesc:ac343a805557fb25a34e7cbda1fbbe786"><td class="mdescLeft">&#160;</td><td class="mdescRight">!!!!!!!!!!!!!!!!!!! XILINX VERSION Vivado <br/></td></tr>
<tr class="memitem:ab1fa903eb80d6b2a11071e40fb0ced09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1fa903eb80d6b2a11071e40fb0ced09"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ab1fa903eb80d6b2a11071e40fb0ced09">Memory</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classMemory.html">&lt;Entity Memory&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a6a0375aba13bfb224cda237455c7f0fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a0375aba13bfb224cda237455c7f0fa"></a>
<b>record: <a class="el" href="classCore__logic_1_1behavioral.html#a6a0375aba13bfb224cda237455c7f0fa">descript</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">seq_num</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">time_out</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">time_out_ON</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">command</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">lenght</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">blk_used</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">to_be_send</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">mem_ACK</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:abb1ad438a83c0c3b9db8f734e1aad4d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb1ad438a83c0c3b9db8f734e1aad4d8"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#abb1ad438a83c0c3b9db8f734e1aad4d8">add_w_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5485ea27a0dac5f4f9986874264ed25c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5485ea27a0dac5f4f9986874264ed25c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a5485ea27a0dac5f4f9986874264ed25c">block_w_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adeb040a160efff757c9473df9e22dbb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adeb040a160efff757c9473df9e22dbb6"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#adeb040a160efff757c9473df9e22dbb6">add_r_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c049c4c3af5107a09c6f8cc89323aa5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c049c4c3af5107a09c6f8cc89323aa5"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a1c049c4c3af5107a09c6f8cc89323aa5">block_r_add</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac36d0c3f377f7465c75bd3b8490b6e7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac36d0c3f377f7465c75bd3b8490b6e7d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ac36d0c3f377f7465c75bd3b8490b6e7d">blk_wr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d31572ad4f0b0124d0de54ff6524e25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d31572ad4f0b0124d0de54ff6524e25"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a5d31572ad4f0b0124d0de54ff6524e25">blk_rd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae142f42d5c8058d1595aceef14bcb1f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae142f42d5c8058d1595aceef14bcb1f1"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae142f42d5c8058d1595aceef14bcb1f1">blk_time_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac724dc10ce3ab4da5556b9298fe3e2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac724dc10ce3ab4da5556b9298fe3e2b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aac724dc10ce3ab4da5556b9298fe3e2b">time_out_reach</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa8c3680c06aece9914d77e7104913557"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8c3680c06aece9914d77e7104913557"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aa8c3680c06aece9914d77e7104913557">reset_bar</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d1c472e2aa934f7cfd477d6ff839f4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d1c472e2aa934f7cfd477d6ff839f4f"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a6d1c472e2aa934f7cfd477d6ff839f4f">FULL_block</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b574354637085719ae25712a87485dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b574354637085719ae25712a87485dc"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a2b574354637085719ae25712a87485dc">a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">descript</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a227d5e0c003bba1bc8d1cc2155c8f7b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a227d5e0c003bba1bc8d1cc2155c8f7b0"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a227d5e0c003bba1bc8d1cc2155c8f7b0">b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">descript</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9a0e61cd422e0f3e27ab98b1ab32947c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a0e61cd422e0f3e27ab98b1ab32947c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a9a0e61cd422e0f3e27ab98b1ab32947c">c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">descript</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a408af84a8dde17fad340c0559342f319"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a408af84a8dde17fad340c0559342f319"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a408af84a8dde17fad340c0559342f319">d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">descript</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a938dc8b15f51b9bd2aa76743ba567d21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a938dc8b15f51b9bd2aa76743ba567d21"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a938dc8b15f51b9bd2aa76743ba567d21">timer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae8f6f28430ec9b2dfc06efb912dd5986"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae8f6f28430ec9b2dfc06efb912dd5986"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae8f6f28430ec9b2dfc06efb912dd5986">seq_number</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf84424fce8cac64d8f23302517a5523"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf84424fce8cac64d8f23302517a5523"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#adf84424fce8cac64d8f23302517a5523">cmd_mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea5cae8d17518c61a438cacc92f7af1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea5cae8d17518c61a438cacc92f7af1b"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aea5cae8d17518c61a438cacc92f7af1b">seq_nm_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a037189b10049b6ccf13bb422a445d5d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a037189b10049b6ccf13bb422a445d5d6"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a037189b10049b6ccf13bb422a445d5d6">req_send_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30ddc81d8d2ab4e29b167fe28c258fea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30ddc81d8d2ab4e29b167fe28c258fea"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a30ddc81d8d2ab4e29b167fe28c258fea">req_init_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa7af1ff6468dd0c08e5b7c41789c769a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7af1ff6468dd0c08e5b7c41789c769a"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#aa7af1ff6468dd0c08e5b7c41789c769a">req_ack_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab712020ab68b710cc6c783bf7408f894"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab712020ab68b710cc6c783bf7408f894"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ab712020ab68b710cc6c783bf7408f894">req_data_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a340508f1f18b73bef29fc03826a58135"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a340508f1f18b73bef29fc03826a58135"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a340508f1f18b73bef29fc03826a58135">init_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77ab0ec0962f3bab9123ab1028c63bb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77ab0ec0962f3bab9123ab1028c63bb5"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a77ab0ec0962f3bab9123ab1028c63bb5">pulse_gen_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a906ed78fa90b529b3005dfbbf46d5016"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a906ed78fa90b529b3005dfbbf46d5016"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a906ed78fa90b529b3005dfbbf46d5016">retransmit_ena</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f6e8ee4bfa3ece4bbd9b113cb8ada29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f6e8ee4bfa3ece4bbd9b113cb8ada29"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a5f6e8ee4bfa3ece4bbd9b113cb8ada29">retrans_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7beedf7584199b0fefd233374b382b16"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7beedf7584199b0fefd233374b382b16"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a7beedf7584199b0fefd233374b382b16">timer_sec</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">19</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a321bdb443fbb6e3d86f673add06a86b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a321bdb443fbb6e3d86f673add06a86b6"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a321bdb443fbb6e3d86f673add06a86b6">resync_timer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3410f2500bc3de41d45c4dfb5360cd21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3410f2500bc3de41d45c4dfb5360cd21"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a3410f2500bc3de41d45c4dfb5360cd21">nb_retrans</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd13c8af0cd48681b3c3bdba911d2014"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd13c8af0cd48681b3c3bdba911d2014"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#acd13c8af0cd48681b3c3bdba911d2014">low_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9f9e78eadc397eb133ef18d0ac3746e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f9e78eadc397eb133ef18d0ac3746e1"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a9f9e78eadc397eb133ef18d0ac3746e1">buffer_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2f229259572e0745575046f37adf61d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2f229259572e0745575046f37adf61d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae2f229259572e0745575046f37adf61d">seq_cmd_mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae0148faeaafeb603b63abdc18b258a4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0148faeaafeb603b63abdc18b258a4c"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ae0148faeaafeb603b63abdc18b258a4c">execute_CMD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3fa3b91dc2657c159bafb4a6b1bc37f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3fa3b91dc2657c159bafb4a6b1bc37f"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#ab3fa3b91dc2657c159bafb4a6b1bc37f">gen_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7111492800990a35c01853ec25d39f07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7111492800990a35c01853ec25d39f07"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a7111492800990a35c01853ec25d39f07">req_resync_slink</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a253a6df9c58c2e16c1a736157b012fc3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a253a6df9c58c2e16c1a736157b012fc3"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a253a6df9c58c2e16c1a736157b012fc3">del_end_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4afda7f785373af0d7fdd00febff6ad2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4afda7f785373af0d7fdd00febff6ad2"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a4afda7f785373af0d7fdd00febff6ad2">gen_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">rst_length</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a90e35a584b4a1e984f9ef648b8c7a36d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90e35a584b4a1e984f9ef648b8c7a36d"></a>
<a class="el" href="classCore__logic_1_1behavioral.html#a90e35a584b4a1e984f9ef648b8c7a36d">mem</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>Memory</b>  <em><a class="el" href="classMemory.html">&lt;Entity Memory&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2core__logic_8vhd_source.html#l00068">68</a> of file <a class="el" href="10Gb_2slink_2core__logic_8vhd_source.html">core_logic.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2core__logic_8vhd_source.html">core_logic.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2core__logic_8vhd_source.html">core_logic.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
